package p2.application.tworkmx;

import baseclass.PaoCust;
import p2.pao.PaoSet;
import p2.util.P2Exception;
import p2.application.twork.twork;

public class tworkmx extends PaoCust {
    public tworkmx(PaoSet arg0) {
        super(arg0);
    }

    @Override
    public void add() throws P2Exception {
        super.add();
        if (getOwner() instanceof twork) {
            setValue("tbusinesstripid", getOwner().getLong("tbusinesstripid"), 11L);
            setValue("tworkid", getOwner().getUniqueIDValue(), 11L);
        }
    }
}
